
QGIS Application - Bug report #16826

Range widget: ridiculously large minimum and maximum values

2017-07-10 10:38 AM - Andreas Neumann

Status: Feedback

Priority: Low

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24725

Description

For an attribute with a Postgis data type of numeric(9.3) the range edit widgets suggests ridiculously large minimum and maximum

values:

Min:

17976900000000000632303049213894264349303303643368533621541098328912643414890628994061529963219660944553381632

16320312774433484859900046491141051651091672734470972759941382582304802812882753059262973637182942535982636884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

6884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

Max:

179769000000000006323030492138942643493033036433685336215410983289126434148906289940615299632196609445533

16320312774433484859900046491141051651091672734470972759941382582304802812882753059262973637182942535982636884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

6884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

In my opinion, something more reasonable should be piced as defaults.

History

#1 - 2017-07-10 10:38 AM - Andreas Neumann

Andreas Neumann wrote:

For an attribute with a Postgis data type of numeric(9.3) the range edit widgets suggests ridiculously large minimum and maximum values:

Min:

179769000000000006323030492138942643493033036433685336215410983289126434148906289940615299632196609445533816320312774433

4433484859900046491141051651091672734470972759941382582304802812882753059262973637182942535982636884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

36745405553206881859340916340092953230149901406738427651121855107737424232448

Max:

1797690000000000063230304921389426434930330364336853362154109832891264341489062899406152996321966094455338163203127

4433484859900046491141051651091672734470972759941382582304802812882753059262973637182942535982636884444611376868582636745405553206881859340916340092953230149901406738427651121855107737424232448

36745405553206881859340916340092953230149901406738427651121855107737424232448

In my opinion, something more reasonable should be chosen as defaults.

#2 - 2017-07-10 01:38 PM - Andreas Neumann

- Subject changed from Range widget: ridulously large minimum and maximum values to Range widget: ridiculously large minimum and maximum 
values

#3 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

range_widget_data_type_zukm.png 124 KB 2017-07-10 Andreas Neumann

range_widget_large_min_max_values.png 63 KB 2017-07-10 Andreas Neumann

2025-04-27 2/2


